Add Project Region (V2)
This operation adds a new region to a specified project.
POST/v2/projects/{projectId}/regions
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
📘Notes
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges.
Example Value: Bearer {{TOKEN}}
projectIdstringpathrequired
The ID of the project to add projects to.
Example Value: proj-xx
Request Bodyapplication/json
regionIdsarrayrequired
A region ID list.
[]regionIdsstring
A region ID. You can use the List regions to list applicable region IDs.
export TOKEN="YOUR_API_KEY"
export projectId="proj-xx"
curl --request POST \
--url "${BASE_URL}/v2/projects/${projectId}/regions" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"regionIds": [
"aws-us-west-2"
]
}'
Responses200 - application/json
A success response
codeinteger
Response code.
Example Value: 0
dataobject
Response payload which contains the current project and the regions added to the project this time.
projectIdstring
ID of the current project.
regionIdsarray
Regions added to the project.
A failure response.
codeinteger
Response code.
messagestring
Error message.
{
"code": 0,
"data": {
"projectId": "proj-x"
}
}